Bug 166789 - Remotely exploitable buffer overflow
Remotely exploitable buffer overflow
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: prozilla (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dams
Fedora Extras Quality Assurance
http://www.securiteam.com/exploits/5W...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-25 14:53 EDT by Richard Dawe
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.3.7.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 13:10:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Dawe 2005-08-25 14:53:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
prozilla 1.3.7.3 has a remotely exploitable buffer overflow, as described in <http://www.securiteam.com/exploits/5WP082KEUW.html>. This is due to overflows of fixed-sized buffers in the HTTP redirection code.

This is fixed in prozilla 1.3.7.4. Changes in 1.3.7.4, from its NEWS file:

"* Support for downloading files > 2GB.

* Fix a remotely exploitable format string security bug.

* Fix bugs in the handling of bad command-line options. Previously
  prozilla would return the success status code, even though it failed.
  Now it returns failure.

* Fix a segfault. This occurred when prozilla could not assemble a file
  due to lack of disk space and the user chose to abort the operation.

* Fix some typos."

Version-Release number of selected component (if applicable):
prozilla-1.3.7.3-2

How reproducible:
Sometimes

Steps to Reproduce:
1. Create a special account for running the test. I called this account "victim". prozilla will be run from this and will be exploited.
2. Build and run the exploit code from the Securiteam advisory. This runs a fake web server.
3. Connect to the fake webserver.
4. See prozilla has been exploited.

Actual Results:  Worked on FC3 on i386. Didn't seem to work on FC3 on x86_64, but that may just have been lucky.

Additional info:
Comment 1 Warren Togami 2005-08-25 23:20:13 EDT
Built, pushing later today
Comment 2 Kurt Seifried 2005-08-26 00:38:29 EDT
This is CAN-2005-0523
Comment 3 Ville Skyttä 2005-10-03 13:10:20 EDT
1.3.7.4-1 has been in the repos for some time. 

Note You need to log in before you can comment on or make changes to this bug.